Advance or reopen the caller org's GL closed period
curl --request POST \
--url https://app.usequanta.com/admin_api/update_org_closed_period \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"month": 123,
"year": 123,
"reason": "<string>",
"reason_type": "<string>"
}
'import requests
url = "https://app.usequanta.com/admin_api/update_org_closed_period"
payload = {
"month": 123,
"year": 123,
"reason": "<string>",
"reason_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({month: 123, year: 123, reason: '<string>', reason_type: '<string>'})
};
fetch('https://app.usequanta.com/admin_api/update_org_closed_period', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/update_org_closed_period",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'month' => 123,
'year' => 123,
'reason' => '<string>',
'reason_type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/update_org_closed_period"
payload := strings.NewReader("{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/admin_api/update_org_closed_period")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/update_org_closed_period")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"org_qid": "<string>",
"previous_closed_month": 123,
"previous_closed_year": 123,
"new_closed_month": 123,
"new_closed_year": 123,
"moved_backward": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}control_panel
Advance or reopen the caller org's GL closed period
Claims-org bless of the legacy /admin_api/update_closed_period route for the services agent. org_qid always comes from the session (admin.org_qid), never from the request body, so a services token can only move its own org’s closed period.
POST
/
admin_api
/
update_org_closed_period
Advance or reopen the caller org's GL closed period
curl --request POST \
--url https://app.usequanta.com/admin_api/update_org_closed_period \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"month": 123,
"year": 123,
"reason": "<string>",
"reason_type": "<string>"
}
'import requests
url = "https://app.usequanta.com/admin_api/update_org_closed_period"
payload = {
"month": 123,
"year": 123,
"reason": "<string>",
"reason_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({month: 123, year: 123, reason: '<string>', reason_type: '<string>'})
};
fetch('https://app.usequanta.com/admin_api/update_org_closed_period', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/update_org_closed_period",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'month' => 123,
'year' => 123,
'reason' => '<string>',
'reason_type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/update_org_closed_period"
payload := strings.NewReader("{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.usequanta.com/admin_api/update_org_closed_period")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/update_org_closed_period")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"month\": 123,\n \"year\": 123,\n \"reason\": \"<string>\",\n \"reason_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"org_qid": "<string>",
"previous_closed_month": 123,
"previous_closed_year": 123,
"new_closed_month": 123,
"new_closed_year": 123,
"moved_backward": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Body
application/json